Subject: Re: [Sigtran] Re: Suggested New Test Cases for draft-bidulock-sigtran-m2pa-test-02.ps

From: Tom George <[email-masked]>
Date: Thu, 16 Jan 2003 17:08:05 -0600

Brian,

I think there was a concern about what would happen if only one message
was sent, and it got lost. 

Do you think we should not send these messages periodically?

   LS Ready
   LS Busy
   LS PO

tomG.

"Brian F. G. Bidulock" wrote long ago on 09/19/02:
> 
> Jeffrey,
> 
> I don't enjoy burning timers for nothing.  It is easy enough
> (even trivial) for an implementation to ignore the repetition,
> but generating and interval requires a timer and introduces
> additional fodder for race conditions and barriers to scale.
> Unless someone can come up with a good reason, the intervals
> should be struck.
> 
> Can you remember why they were added, Tom?
> 
> --brian
> 
> [email-masked] wrote:               (Thu, 19 Sep 2002 08:47:34)
> >
> > Hello Brian,
> >
> > >My preference is that they are struck.  The reason for striking
> > >is that sending these at an interval serves no purpose whatsoever
> > >that I can think of.  Can you think of a reason to send any of
> > >these periodically?  This is SCTP after all and not a lossy link.
> >
> > I can think of no reason to periodically send these messages.
> > My preference for keeping them has to with the fact that I've
> > implemented them. (Yes, I know, not a good reason.... I'm human).
> >
> > Regards,
> >
> > Jeff
> >
> 
> --
> Brian F. G. Bidulock
> [email-masked]
> http://www.openss7.org/
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran

-- 
* Tom George       PB7-24001 (near B-21)      [email-masked]  *
* 972-519-3168   Intranet:  http://www.ssd.usa.alcatel.com/~tgeorge/  *
* Alcatel USA, Inc.; 1000 Coit Rd, MS PB7-SWPRO; Plano TX 75075-5813  *
* I actively disclaim speaking for Alcatel USA, Inc. I do not purport *
* to advertise or represent its position,  operations, or activities. *
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran